Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1037900 - Review Request: rubygem-resque-job-stats - Job-centric stats for Resque
Summary: Review Request: rubygem-resque-job-stats - Job-centric stats for Resque
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-12-04 02:47 UTC by Ken Dreyer
Modified: 2016-11-16 22:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-16 22:13:55 UTC


Attachments (Terms of Use)

Description Ken Dreyer 2013-12-04 02:47:09 UTC
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-resque-job-stats.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-resque-job-stats-0.3.0-1.fc21.src.rpm
Description: Tracks jobs performed, failed, and the duration of the last 100 jobs for each job type.
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6254316

Comment 3 František Dvořák 2014-07-17 11:55:04 UTC
Trying a review... (although unexperienced, I don't have any ruby package yet)


Found only cosmetics (nothing needs to be changed):

1) For downloading sources you can consider client that preserves the upstream timestamps:

  https://fedoraproject.org/wiki/Packaging:Guidelines?rd=PackagingGuidelines#Timestamps

2) Why is the '%exclude %{gem_instdir}/test' in -doc subpackage? But there is probably no reason why not.


Remarks:

* You're patching out development files in %prep. It is true it may be better than using %exclude in %files, right? (Files won't be installed, they won't be there during testing...).

* %check section: It looks like redis-server listens only on IPv4 and communication during testing goes through 127.0.0.1. But it works well in koji and even on IPv6-only machine.


Would you agree for review swap with rubygem-json_spec (#1079640)? But I can do formal review here anyway. :-)

Thank you,
  František

Comment 4 František Dvořák 2016-06-20 06:16:52 UTC
I know the formal process of review has not started, but I guess this review can be considered as stalled and closed.

But I can review, if you're interested in it. Over time there are some new issues to consider, for example:

* %license tag has been added into guidelines
* Fedora 20 conditional macros can be removed
* upstream searches for new maintainer


Note You need to log in before you can comment on or make changes to this bug.